### A free/open-source library for quantitative finance

Public Member Functions
MarketModelFactory Class Reference

base class for market-model factories More...

`#include <ql/models/marketmodels/marketmodel.hpp>`

Inheritance diagram for MarketModelFactory:
[legend]

List of all members.

## Public Member Functions

virtual boost::shared_ptr < MarketModel > | create (const EvolutionDescription &, Size numberOfFactors) const =0

## Detailed Description

base class for market-model factories